## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.7

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# FormatterToSourceTree Class Reference

This class takes SAX events (in addition to some extra events that SAX doesn't handle yet) and adds the result to a document or document fragment. More...

`#include <FormatterToSourceTree.hpp>`

Inheritance diagram for FormatterToSourceTree

Collaboration diagram for FormatterToSourceTree:

List of all members.

## Public Types

- typedef std::vector<XalanSourceTreeElement*> ElementStackType
- typedef std::vector<XalanNode*> LastChildStackType
- enum {
  eDefaultStackSize = 50,
  eDefaultTextBufferSize = 100
  }

## Public Methods

- FormatterToSourceTree (XalanSourceTreeDocument* theDocument = 0)
    Construct a FormatterToSourceTree instance. More...
- FormatterToSourceTree ( XalanSourceTreeDocument* theDocument, XalanSourceTreeDocumentFragment* theDocumentFragment)
    Construct a FormatterToSourceTree instance. More...
- virtual ~FormatterToSourceTree ()
- XalanSourceTreeDocument* getDocument () const
- void setDocument (XalanSourceTreeDocument* theDocument)
- XalanSourceTreeDocumentFragment* getDocumentFragment () const
- void setDocumentFragment (XalanSourceTreeDocumentFragment* theDocumentFragment)
- XalanSourceTreeElement* getCurrentElement () const
- void setCurrentElement (XalanSourceTreeElement* theElement)
- virtual void charactersRaw ( const XMLCh* const chars, const unsigned int length)
- virtual void comment (const XMLCh* const data)
    Called when a Comment is to be constructed. More...
- virtual void cdata ( const XMLCh* const ch, const unsigned int length)
- virtual void entityReference (const XMLCh* const name)
    Receive notification of a entityReference. More...
- virtual void setDocumentLocator (const LocatorType* const locator)
- virtual void startDocument ()
- virtual void endDocument ()
- virtual void startElement ( const XMLCh* const name, AttributeListType& attrs)
- virtual void endElement (const XMLCh* const name)
- virtual void characters ( const XMLCh* const chars, const unsigned int length)
- virtual void ignorableWhitespace ( const XMLCh* const chars, const unsigned int length)
- virtual void processingInstruction ( const XMLCh* const target, const XMLCh* const data)
- virtual void resetDocument ()

## Static Public Methods

- void initialize ()
    Perform static initialization. More...
- void terminate ()
    Perform static shut down. More...

## Detailed Description

This class takes SAX events (in addition to some extra events that SAX doesn't handle yet) and adds the result to a document or document fragment.

## Member Typedef Documentation

typedef std::vector<XalanSourceTreeElement*> FormatterToSourceTree::ElementStackType

typedef std::vector<XalanNode*> FormatterToSourceTree::LastChildStackType

## Member Enumeration Documentation

anonymous enum

Enumeration values:

  eDefaultStackSize |
  eDefaultTextBufferSize |

## Constructor & Destructor Documentation

FormatterToSourceTree::FormatterToSourceTree ( | XalanSourceTreeDocument * theDocument = 0 )`[explicit]`

Construct a FormatterToSourceTree instance.

it will add the nodes to the document.

Parameters:

  theDocument | The document for nodes

FormatterToSourceTree::FormatterToSourceTree ( | XalanSourceTreeDocument * theDocument,
| XalanSourceTreeDocumentFragment * theDocumentFragment )

Construct a FormatterToSourceTree instance.

it will add the nodes to the document fragment.

Parameters:

  theDocument | The document for nodes
  theDocumentFragment | The document fragment for nodes

virtual FormatterToSourceTree::~FormatterToSourceTree ( | )`[virtual]`

## Member Function Documentation

virtual void FormatterToSourceTree::cdata ( | const XMLCh *const ch,
| const unsigned int length )`[virtual]`

virtual void FormatterToSourceTree::characters ( | const XMLCh *const chars,
| const unsigned int length )`[virtual]`

virtual void FormatterToSourceTree::charactersRaw ( | const XMLCh *const chars,
| const unsigned int length )`[virtual]`

virtual void FormatterToSourceTree::comment ( | const XMLCh *const data )`[virtual]`

Called when a Comment is to be constructed.

Parameters:

  data | pointer to comment data

Exceptions:

  SAXException |

Reimplemented from FormatterListener.

virtual void FormatterToSourceTree::endDocument ( | )`[virtual]`

Reimplemented from FormatterListener.

virtual void FormatterToSourceTree::endElement ( | const XMLCh *const name )`[virtual]`

Reimplemented from FormatterListener.

virtual void FormatterToSourceTree::entityReference ( | const XMLCh *const name )`[virtual]`

Receive notification of a entityReference.

Parameters:

  data | pointer to characters from the XML document

Exceptions:

  SAXException |

Reimplemented from FormatterListener.

XalanSourceTreeElement * FormatterToSourceTree::getCurrentElement ( | ) const`[]`

XalanSourceTreeDocument * FormatterToSourceTree::getDocument ( | ) const`[]`

XalanSourceTreeDocumentFragment * FormatterToSourceTree::getDocumentFragment ( | ) const`[]`

virtual void FormatterToSourceTree::ignorableWhitespace ( | const XMLCh *const chars,
| const unsigned int length )`[virtual]`

void FormatterToSourceTree::initialize ( | )`[static]`

Perform static initialization.

See class XalanSourceTreeInit.

virtual void FormatterToSourceTree::processingInstruction ( | const XMLCh *const target,
| const XMLCh *const data )`[virtual]`

Reimplemented from FormatterListener.

virtual void FormatterToSourceTree::resetDocument ( | )`[virtual]`

Reimplemented from FormatterListener.

void FormatterToSourceTree::setCurrentElement ( | XalanSourceTreeElement * theElement )`[]`

void FormatterToSourceTree::setDocument ( | XalanSourceTreeDocument * theDocument )`[]`

void FormatterToSourceTree::setDocumentFragment ( | XalanSourceTreeDocumentFragment * theDocumentFragment )`[]`

virtual void FormatterToSourceTree::setDocumentLocator ( | const LocatorType *const locator )`[virtual]`

Reimplemented from FormatterListener.

virtual void FormatterToSourceTree::startDocument ( | )`[virtual]`

Reimplemented from FormatterListener.

virtual void FormatterToSourceTree::startElement ( | const XMLCh *const name,
| AttributeListType & attrs )`[virtual]`

Reimplemented from FormatterListener.

void FormatterToSourceTree::terminate ( | )`[static]`

Perform static shut down.

See class XalanSourceTreeInit.

The documentation for this class was generated from the following file:

- FormatterToSourceTree.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.7 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.